using System;

internal sealed class Delegate595 : MulticastDelegate
{
	public extern bool Invoke();

	public static bool smethod_0(Delegate595 delegate595_1)
	{
		return delegate595_1();
	}

	public extern Delegate595(object object_0, IntPtr intptr_0);

	static Delegate595()
	{
		Class10.smethod_13(typeof(Delegate595).TypeHandle);
	}

	internal static Delegate595 delegate595_0;
}
